MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031922Community[OCCT] OCCT:Configurationpublic2020-11-12 09:242020-11-21 13:27
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031922: Configuration - unresolved external symbol NCollection_Lerp<Handle(Graphic3d_Camera)>::Interpolate()
DescriptionStatic build occt7.5 in visual studio 2017, and then link to project, there is a link issue as below:

TKV3d.lib(AIS_AnimationCamera.obj) : error LNK2019: unresolved external symbol "public: void __cdecl 
NCollection_Lerp<class opencascade::handle<class Graphic3d_Camera> >::Interpolate(double,class 
opencascade::handle<class Graphic3d_Camera> &)const " (?Interpolate@?$NCollection_Lerp@V?$handle@VGraphic3d_Camera@@@opencascade@@@@QEBAXNAEAV?$handle@VGraphic3d_Camera@@@opencascade@@@Z) 
referenced in function "protected: virtual void __cdecl AIS_AnimationCamera::update(struct AIS_AnimationProgress 
const &)" (?update@AIS_AnimationCamera@@MEAAXAEBUAIS_AnimationProgress@@@Z)
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0027764closedapn Open CASCADE Visualization - add functionality for animation of 3D camera and interactive objects 

-  Notes
(0096679)
Vico Liang (developer)
2020-11-12 09:29

This can be fixed by instancing the template in file Graphic3d_Camera.cxx
template NCollection_Lerp<Handle(Graphic3d_Camera)>;
(0096696)
git (administrator)
2020-11-12 12:02

Branch CR31922 has been created by kgv.

SHA-1: 65662482bb893d62ec416952f742cb1252467758


Detailed log of new commits:

Author: kgv
Date: Thu Nov 12 12:02:44 2020 +0300

    0031922: Configuration - unresolved external symbol NCollection_Lerp<Handle(Graphic3d_Camera)>::Interpolate()
    
    A normal method Graphic3d_Camera::Interpolate() is now exported instead of
    template method NCollection_Lerp<Handle(Graphic3d_Camera)>::Interpolate().
(0096697)
kgv (developer)
2020-11-12 12:05

Vico, could you please check if patch CR31922 fixes the problem in your configuration?
(0096699)
git (administrator)
2020-11-12 12:16

Branch CR31922 has been updated forcibly by kgv.

SHA-1: 6ef3dfa485c0870e65b61fdde36c7598be580e99
(0096734)
Vico Liang (developer)
2020-11-13 04:20

Dear kgv, I just merged the patch, it works well. Thanks for the fix.
(0096735)
kgv (developer)
2020-11-13 07:33

Please raise the patch
- OCCT branch: CR31922.
(0096931)
bugmaster (administrator)
2020-11-21 12:42

Combination -
OCCT branch : IR-2020-11-20
master SHA - c5892d852bb462075f9db03f31085e35d7b59f35
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-11-20 SHA - a5d1f89f5fa83c955e6a604f57a5b590eb433b43
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18024.090000000127 / 17964.340000000077 [+0.33%]
Products
Total CPU difference: 12166.12000000011 / 12169.520000000111 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19696.90625 / 19723.125 [-0.13%]
Products
Total CPU difference: 13644.875 / 13567.078125 [+0.57%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096956)
git (administrator)
2020-11-21 13:27

Branch CR31922 has been deleted by inv.

SHA-1: 6ef3dfa485c0870e65b61fdde36c7598be580e99

- Related Changesets
occt: master 026aec18
Timestamp: 2020-11-12 09:02:44
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031922: Configuration - unresolved external symbol NCollection_Lerp<Handle(Graphic3d_Camera)>::Interpolate()

A normal method Graphic3d_Camera::Interpolate() is now exported instead of
template method NCollection_Lerp<Handle(Graphic3d_Camera)>::Interpolate().
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-11-12 09:24 Vico Liang New Issue
2020-11-12 09:24 Vico Liang Assigned To => kgv
2020-11-12 09:29 Vico Liang Note Added: 0096679
2020-11-12 09:44 kgv Category OCCT:Coding => OCCT:Configuration
2020-11-12 09:44 kgv Summary unresolved external symbol NCollection_Lerp<Handle(Graphic3d_Camera)>::Interpolate => Configuration - unresolved external symbol NCollection_Lerp<Handle(Graphic3d_Camera)>::Interpolate()
2020-11-12 09:44 kgv Description Updated View Revisions
2020-11-12 12:02 git Note Added: 0096696
2020-11-12 12:04 kgv Relationship added child of 0027764
2020-11-12 12:04 kgv Product Version 7.5.0 => 7.1.0
2020-11-12 12:05 kgv Note Added: 0096697
2020-11-12 12:16 git Note Added: 0096699
2020-11-12 16:41 kgv Assigned To kgv => Vico Liang
2020-11-12 16:41 kgv Status new => feedback
2020-11-13 04:20 Vico Liang Note Added: 0096734
2020-11-13 05:54 Vico Liang Assigned To Vico Liang => kgv
2020-11-13 07:31 kgv Assigned To kgv => Vico Liang
2020-11-13 07:33 kgv Note Added: 0096735
2020-11-13 07:33 kgv Assigned To Vico Liang => bugmaster
2020-11-13 07:33 kgv Status feedback => reviewed
2020-11-21 12:39 bugmaster Changeset attached => occt master 026aec18
2020-11-21 12:39 bugmaster Status reviewed => verified
2020-11-21 12:39 bugmaster Resolution open => fixed
2020-11-21 12:42 bugmaster Note Added: 0096931
2020-11-21 12:46 bugmaster Test case number => Not required
2020-11-21 13:27 git Note Added: 0096956


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker